## com.sun.jersey.api.client
Interface ClientRequestAdapter

All Known Implementing Classes:
  AbstractClientRequestAdapter

    public interface ClientRequestAdapter

Adapter for the client request to adapt the output stream to write the entity. This can enable logging or compression of the request entity.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.io.OutputStream` | `adapt(ClientRequest request, java.io.OutputStream out)` Adapt the output stream of the client request.

Method Detail

### adapt

    java.io.OutputStream adapt(ClientRequest request,
                               java.io.OutputStream out)
                               throws java.io.IOException

  Adapt the output stream of the client request.

  Parameters:
    `request` - the client request
    `out` - the output stream to write the request entity.
  Returns:
    the adapted output stream to write the request entity.
  Throws:
    `java.io.IOException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.